This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 740630 - Fix freeing of data structures in pci_free_cap()
Fix freeing of data structures in pci_free_cap()
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: pciutils (Show other bugs)
6.1
All Linux
urgent Severity high
: rc
: 6.1
Assigned To: Michal Hlavinka
Iveta Wiedermann
: ZStream
Depends On:
Blocks: 740837 748554
  Show dependency treegraph
 
Reported: 2011-09-22 14:06 EDT by Neal Kim
Modified: 2012-07-26 08:26 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-06 14:05:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fixed freeing of capabilities. (399 bytes, patch)
2011-09-22 14:43 EDT, Neal Kim
no flags Details | Diff

  None (edit)
Description Neal Kim 2011-09-22 14:06:57 EDT
Description of problem:

Fix freeing of data structures in pci_free_cap().

Fix has been present since pciutils v3.1.5

kernel.org is still currently down so here is another link to the commit.

http://www.jur-linux.com/git/?p=pciutils.git;a=commit;h=adb9abcf60bcb91d93e456152cb3d04d09a9677c

Version-Release number of selected component (if applicable):

pciutils-3.1.4-9.el6
pciutils-libs-3.1.4-9.el6
  
Actual results:

Encounter the following error:

*** glibc detected *** double free or corruption (!prev): ***

Expected results:

No error.

Additional info:

Customer is developing an application using the pciutils-libs and encountered the aforementioned issue. Using the upstream versions of pciutils 3.1.5 and 3.1.6 issue goes away.
Comment 3 RHEL Product and Program Management 2011-09-22 14:27:55 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 4 Neal Kim 2011-09-22 14:43:51 EDT
Created attachment 524458 [details]
Fixed freeing of capabilities.

http://www.jur-linux.com/git/?p=pciutils.git;a=commit h=adb9abcf60bcb91d93e456152cb3d04d09a9677c
Comment 17 errata-xmlrpc 2011-12-06 14:05:04 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1760.html

Note You need to log in before you can comment on or make changes to this bug.